config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/httpd/extra/httpd-awstats.conf.new
config etc/awstats/awstats.model.conf.new

( cd usr/bin ; rm -rf awstats.pl )
( cd usr/bin ; ln -sf /var/www/htdocs/awstats/wwwroot/cgi-bin/awstats.pl awstats.pl )
